Get a page of inventory product items

Path Parameters
  • warehouseProductId
    Type: stringFormat: uuid
    required
Query Parameters
  • PageIndex
    Type: integerFormat: int32

    The page index of the search.

  • PageSize
    Type: integerFormat: int32

    The number of products to be returned in the response. Returns pages of up to 500 records.

Responses
  • application/json
Request Example for get/v1/inventory/{warehouseProductId}/items
curl 'https://api.consignlyhq.com/v1/inventory/123e4567-e89b-12d3-a456-426614174000/items?PageIndex=1&PageSize=25'
{
  "index": 1,
  "total": 1,
  "items": [
    {
      "warehouseProductItemId": "123e4567-e89b-12d3-a456-426614174000",
      "serial": null,
      "availableQuantity": 1,
      "availableVolumeM3": 1,
      "availableWeightKG": 1,
      "transferableQuantity": 1,
      "transferableVolumeM3": 1,
      "transferableWeightKG": 1,
      "onHandQuantity": 1,
      "onHandVolumeM3": 1,
      "onHandWeightKG": 1
    }
  ]
}